Asset ingestion
Create an asset, upload its file in resumable chunks, and publish it. After the file is uploaded you can enrich the asset - see the Asset enrichment section - before publishing. Retrieval of the asset during ingestion uses Get asset in the General endpoints section.
Create asset
IMPORTANT NOTE
These APIs do not replace the existing v4 APIs yet, and currently only applies to newly uploaded assets still in Draft state (before publishing). Cannot be yet used for Assets that are in Asset Bank and Waiting room.
Creates an empty container, this is the first step to start the file upload and any asset enrichment.
Body
application/json
Body
CreateAssetInput
Response
application/json
Response
Asset
Show Child Parameters
Show Child Parameters
Show Child Parameters
Allowed values:BGBSIBWF
Authentication
Body
Create upload url
IMPORTANT NOTE
These APIs do not replace the existing v4 APIs yet, and currently only applies to newly uploaded assets still in Draft state (before publishing). Cannot be yet used for Assets that are in Asset Bank and Waiting room.
To start uploading a file as an asset, a signed upload url has to be created, which can be used to start uploading the file. Take the generated assetId from the previous {create Asset} as input in the path.
Path Parameters
Response
application/json
Response
UploadUrl
Authentication
Path Parameters
Upload file chunks
IMPORTANT NOTE
These APIs do not replace the existing v4 APIs yet, and currently only applies to newly uploaded assets still in Draft state (before publishing). Cannot be yet used for Assets that are in Asset Bank and Waiting room.
The request target is the Location response header returned by Upload file initialization. Carry the relevant header information across calls as shown below. After the last chunk is uploaded, the file is automatically finalized.
The
Location Header ValueURL is a placeholder for theLocationheader from the previous call.
Headers
Default:1.0.0
The combined length of the previously uploaded chunks. This value can be taken from the Upload-Offset response header of each preceding chunk request.
Default:application/offset+octet-stream
Body
application/offset+octet-stream
Body
Response
Response
Chunk accepted.
Authentication
Headers
Body
- missing protocol
Upload file initialization
IMPORTANT NOTE
These APIs do not replace the existing v4 APIs yet, and currently only applies to newly uploaded assets still in Draft state (before publishing). Cannot be yet used for Assets that are in Asset Bank and Waiting room.
This step actually starts uploading the file. Send this request to the signed uploadUrl returned by Create upload url. This initializes a resumable (tus) upload. Any file namings have to be base64 encoded/decoded.
The response headers - in particular the Location header - are required for the next call, Upload file chunks.
The
{uploadUrl}path parameter is a placeholder for the signed URL from the previous step.
Headers
Default:1.0.0
Total size of the file to upload, in bytes.
Comma-separated key <base64-value> pairs, e.g. filename ZXhhbXBsZS5wbmc=.
Response
Response
Upload initialized. Use the returned Location header for the chunk uploads.
Authentication
Headers
- missing protocol